%define _prefix     /usr/local
%define _docdir     %{_prefix}/share/doc
%define _mandir     %{_prefix}/man
%define version     0.8.0
%define release     0

Name: cfl
Summary: Configuration File Library (CFL)
Packager: Nicolas Darnis <ndarnis@free.fr>
Version: %{version}
Release: %{release}
License: GPL
Vendor: Nicolas Darnis <ndarnis@free.fr>
Url: http://www.nongnu.org/%{name}/
#Copyright: Copyright (C) 2002, 2003 Nicolas Darnis
Source: http://savannah.nongnu.org/download/cdl/cfl.pkg/%{version}/%{name}-%{version}.tar.gz
Group: Development/Libraries

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
The Configuration File Library (CFL) is a collection of routines for manipulating configuration files. It is a portable library fully written from scratch in pure ANSI C. It is designed to offer for C programmers common routines for manipulating configuration text files. 

%package devel
Group: Development/Libraries
Summary: The header and documentation files needed for development using CFL.

%description devel
The Configuration File Library (CFL) is a collection of routines for manipulating configuration files. It is a portable library fully written from scratch in pure ANSI C. It is designed to offer for C programmers common routines for manipulating configuration text files.


%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make

%install
%makeinstall

%files
%doc {AUTHORS,COPYING,NEWS}
%attr(-, root, root)
%{_prefix}/lib/*.so*

%files devel
%doc {AUTHORS,COPYING,NEWS,TODO}
%doc {ChangeLog,README,doc/ref/html}
%{_prefix}/man
%{_prefix}/include
%{_prefix}/lib/*.a
%{_prefix}/lib/*.la

%post
ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


